## org.mortbay.http.handler
Class SecurityHandler

    java.lang.Object
      |
      +--org.mortbay.http.handler.AbstractHttpHandler
            |
            +--org.mortbay.http.handler.SecurityHandler

All Implemented Interfaces:
  HttpHandler, LifeCycle, java.io.Serializable

public class SecurityHandler
extends AbstractHttpHandler

Handler to enforce SecurityConstraints.

Version:
  $Id: SecurityHandler.java,v 1.29 2003/04/24 23:56:15 bretts Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`SecurityHandler()`

Method Summary
`java.lang.String` `getAuthMethod()`
`void` `handle(java.lang.String pathInContext, java.lang.String pathParams, HttpRequest request, HttpResponse response)` Handle a request.
`void` `setAuthMethod(java.lang.String method)`
`void` `start()` Start the LifeCycle.

Methods inherited from class org.mortbay.http.handler.AbstractHttpHandler
`getHttpContext, getName, handleTrace, initialize, isStarted, setName, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityHandler

    public SecurityHandler()

Method Detail

### getAuthMethod

    public java.lang.String getAuthMethod()

### setAuthMethod

    public void setAuthMethod(java.lang.String method)

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `LifeCycle`
  Start the LifeCycle.

  Specified by:
    `start` in interface `LifeCycle`
  Overrides:
    `start` in class `AbstractHttpHandler`
  Throws:
    `java.lang.Exception` - An arbitrary exception may be thrown.

### handle

    public void handle(java.lang.String pathInContext,
                       java.lang.String pathParams,
                       HttpRequest request,
                       HttpResponse response)
                throws HttpException,
                       java.io.IOException

  Description copied from interface: `HttpHandler`
  Handle a request. Note that Handlers are tried in order until one has handled the request. i.e. until request.isHandled() returns true. In broad terms this means, either a response has been commited or request.setHandled(true) has been called.

  Parameters:
    `pathInContext` - The context path
    `pathParams` - Path parameters such as encoded Session ID
    `request` - The HttpRequest request
    `response` - The HttpResponse response
    `HttpException`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.